CREATE TABLE gtg_ts_pseudoperiodrates (
    ETL_SEQUENCE_ID          NUMBER(19, 0),
    ETL_VERSION_NUMBER       NUMBER(18, 0),
    DELETE_VERSION_NUMBER    NUMBER(18, 0),
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CONVERSION_DATE          DATE         ,
    CONVERSION_RATE          NUMBER       ,
    CONVERSION_TYPE          VARCHAR2(120),
    FROM_CURRENCY            VARCHAR2(60) ,
    GLDAILYRATES_CB          VARCHAR2(256),
    GLDAILYRATES_CD          TIMESTAMP(6) ,
    GLDAILYRATES_LUB         VARCHAR2(256),
    GLDAILYRATES_LUD         TIMESTAMP(6) ,
    RATE_SOURCE_CODE         VARCHAR2(60) ,
    STATUS_CODE              VARCHAR2(4)  ,
    TO_CURRENCY              VARCHAR2(60) ,
    ETL_SEQUENCE_ID          NUMBER(19, 0),
    ETL_VERSION_NUMBER       NUMBER(18, 0),
    DELETE_VERSION_NUMBER    NUMBER(18, 0),
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CONVERSION_DATE          DATE         ,
    CONVERSION_RATE          NUMBER       ,
    CONVERSION_TYPE          VARCHAR2(120),
    FROM_CURRENCY            VARCHAR2(60) ,
    GLDAILYRATES_CB          VARCHAR2(256),
    GLDAILYRATES_CD          TIMESTAMP(6) ,
    GLDAILYRATES_LUB         VARCHAR2(256),
    GLDAILYRATES_LUD         TIMESTAMP(6) ,
    RATE_SOURCE_CODE         VARCHAR2(60) ,
    STATUS_CODE              VARCHAR2(4)  ,
    TO_CURRENCY              VARCHAR2(60) ,
    CONSTRAINT pk_gtg_ts_pseudoperiodrates PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
